Skip to content

Get trade history

GET
/v1/account/tradehistory

Fetch the most recent trades on your account. The beforeId parameter may be used to paginate the trade history - only trades which occurred before the given ID will be included in the result. This allows backwards traversal of trade history by increments of limit. The startTime or endTime parameters may be used to filter the returned items by the traded date, interpreted as being in the UTC time zone and must be supplied in ISO 8601 format (2020-02-29T22:00:00.000Z). These two parameters may be used together or separately. When startTime is used, trades that have occurred since startTime are returned. When endTime is used, trades that have occurred up to and including endTime are returned. Note: The startTime and endTime parameters are optional filters. However, omitting these parameters may result in slower response times. To mitigate this, a default time window such as the most recent 30 days may be automatically applied to the request.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

skip

Number of records to skip for pagination

Type
integer
Format
"int32"
limit

Maximum number of records to return

Type
integer
Format
"int32"
startTime

Start time in ISO 8601 format (e.g., 2020-02-29T22:00:00.000Z). When used, trades that have occurred since startTime are returned.

Type
string
endTime

End time in ISO 8601 format (e.g., 2020-02-29T22:00:00.000Z). When used, trades that have occurred up to and including endTime are returned.

Type
string
beforeId

Return trades before this ID for cursor-based pagination. Allows backwards traversal of trade history by increments of limit.

Type
string

Responses

Trade history retrieved successfully

application/json
JSON
[
{
"price": "49.89",
"quantity": "0.2004",
"currencyPair": "XRPZAR",
"tradedAt": "2025-07-04T08:38:13.407Z",
"side": "buy",
"sequenceId": 1368928567986638000,
"id": "0197d496-0e9f-7230-9aa1-4699655e7230",
"orderId": "0197d496-0e4e-7453-ae5b-1d930e8f3a81",
"fee": "0.0032064",
"feeCurrency": "XRP"
}
]

Playground

Authorization
Variables
Key
Value

Samples